/*!
 * @file        apm32a0xx_int.h
 *
 * @brief       This file contains the headers of the interrupt handlers
 *
 * @version     V1.0.0
 *
 * @date        2023-03-30
 *
 * @attention
 *
 *  Copyright (C) 2023 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __APM32A0XX_INT_H
#define __APM32A0XX_INT_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes */
#include "apm32a0xx.h"

/** @addtogroup Examples
  @{
*/

/** @addtogroup NVIC_WFI
  @{
*/

/** @defgroup NVIC_WFI_INT_Macros INT_Macros
  @{
  */

/**@} end of group NVIC_WFI_INT_Macros */

/** @defgroup NVIC_WFI_INT_Enumerations INT_Enumerations
  @{
  */

/**@} end of group NVIC_WFI_INT_Enumerations */

/** @defgroup NVIC_WFI_INT_Structures INT_Structures
  @{
  */

/**@} end of group NVIC_WFI_INT_Structures */

/** @defgroup NVIC_WFI_INT_Variables INT_Variables
  @{
  */

/**@} end of group NVIC_WFI_INT_Variables */

/** @defgroup NVIC_WFI_INT_Functions INT_Functions
  @{
  */

void NMI_Handler(void);
void HardFault_Handler(void);
void SVC_Handler(void);
void PendSV_Handler(void);
void SysTick_Handler(void);

/**@} end of group NVIC_WFI_INT_Functions */
/**@} end of group NVIC_WFI */
/**@} end of group Examples */

#ifdef __cplusplus
}
#endif

#endif /*__APM32A0XX_INT_H */
