/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.0
 *
 * @date        2023-03-30
 *
 * @attention
 *
 *  Copyright (C) 2023 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

//Includes
#include "Board.h"
#include "stdio.h"
#include "apm32a0xx_gpio.h"
#include "apm32a0xx_usart.h"
#include "apm32a0xx_misc.h"
#include "apm32a0xx_eint.h"
#include "apm32a0xx_spi.h"

/** @addtogroup Examples
  @{
  */

/** @addtogroup SPI_FLASH_Polling
  @{
  */

/** @defgroup SPI_FLASH_Polling_Macros Macros
  @{
*/

/**@} end of group SPI_FLASH_Polling_Macros */

/** @defgroup SPI_FLASH_Polling_Enumerations Enumerations
  @{
*/

/**@} end of group SPI_FLASH_Polling_Enumerations */

/** @defgroup SPI_FLASH_Polling_Structures Structures
  @{
*/

/**@} end of group SPI_FLASH_Polling_Structures */

/** @defgroup SPI_FLASH_Polling_Variables Variables
  @{
*/

/**@} end of group SPI_FLASH_Polling_Variables */

/** @defgroup SPI_FLASH_Polling_Functions Functions
  @{
  */

#ifdef __cplusplus
}
#endif

#endif /*__MAIN_H */

/**@} end of group SPI_FLASH_Polling_Functions */
/**@} end of group SPI_FLASH_Polling */
/**@} end of group Examples */
