/*!
 * @file        main.h
 *
 * @brief       Header for main.c module
 *
 * @version     V1.0.0
 *
 * @date        2023-03-30
 *
 * @attention
 *
 *  Copyright (C) 2023 Geehy Semiconductor
 *
 *  You may not use this file except in compliance with the
 *  GEEHY COPYRIGHT NOTICE (GEEHY SOFTWARE PACKAGE LICENSE).
 *
 *  The program is only for reference, which is distributed in the hope
 *  that it will be useful and instructional for customers to develop
 *  their software. Unless required by applicable law or agreed to in
 *  writing, the program is distributed on an "AS IS" BASIS, WITHOUT
 *  ANY WARRANTY OR CONDITIONS OF ANY KIND, either express or implied.
 *  See the GEEHY SOFTWARE PACKAGE LICENSE for the governing permissions
 *  and limitations under the License.
 */

/* Define to prevent recursive inclusion */
#ifndef __MAIN_H
#define __MAIN_H

#ifdef __cplusplus
extern "C" {
#endif

/* Includes */
#include "Board.h"

/** @addtogroup Examples
  @{
*/

/** @addtogroup USART_LIN USART LIN
  @{
*/

/** @defgroup USART_LIN_Macros Macros
  @{
*/

/**@} end of group USART_LIN_Macros */

/** @defgroup USART_LIN_Enumerations Enumerations
  @{
*/

/**@} end of group USART_LIN_Enumerations */

/** @defgroup USART_LIN_Structures Structures
  @{
*/

/**@} end of group USART_LIN_Structures */

/** @defgroup USART_LIN_Variables Variables
  @{
*/

extern volatile uint32_t tick;

/**@} end of group USART_LIN_Variables */

/** @defgroup USART_LIN_Functions Functions
  @{
*/

void LIN_MasterISR(void);
void LIN_SlaveISR(void);

#ifdef __cplusplus
}
#endif

#endif /* __MAIN_H */

/**@} end of group USART_LIN_Functions */
/**@} end of group USART_LIN */
/**@} end of group Examples */
